# $Revision: 1.22 $, $Date: 2010/07/08 08:37:17 $
#
%define module	Rabbyt
#
Summary:	Library for Python to game development
Summary(pl.UTF-8):	Biblioteka dla Pythona do tworzenia gier
Name:		python-%{module}
Version:	0.8.3
Release:	3
License:	MIT
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/R/Rabbyt/%{module}-%{version}.zip
# Source0-md5:	bb603a5cb02f3a8bb2e674f60e62de2c
URL:		http://pypi.python.org/pypi/Rabbyt/
BuildRequires:	ncurses-devel
BuildRequires:	python-Pyrex
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rabbyt is a sprite library for Python with game development in mind.
It has two goals:
1. Be fast, without sacrificing ease of use.
2. Be easy to use, without sacrificing speed.

%description -l pl.UTF-8
Rabbyt jest małą biblioteką dla Pythona służącą do tworzenia
gier. Posiada dwa cele:
1. Być szybką bez utraty prostoty użycia.
2. Być prostą w użyciu bez utraty szybkości.

%prep
%setup -q -n %{module}-%{version}

%{__sed} -i -e "s/'-O3',\?//" setup.py

%build
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README THANKS examples
%dir %{py_sitedir}/rabbyt
%{py_sitedir}/rabbyt/*.py[co]
%attr(755,root,root) %{py_sitedir}/rabbyt/*.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/Rabbyt-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Rabbyt.spec,v $
Revision 1.22  2010/07/08 08:37:17  arekm
- release 3

Revision 1.21  2010/06/22 08:27:34  lisu
- new URL

Revision 1.20  2009/11/06 08:42:09  lisu
- python version specific .egg-info
- rel 2

Revision 1.19  2009/09/10 10:09:52  lisu
- up to 0.8.3
- python specific .egg-info

Revision 1.18  2008/11/24 13:22:57  lisu
- 0.8.2

Revision 1.17  2008/10/14 06:42:56  arekm
- release 3

Revision 1.16  2008/10/03 18:00:18  arekm
- release 2

Revision 1.15  2008-04-04 13:14:29  lisu
- up to 0.8.1
- use sed macro

Revision 1.14  2007-12-19 14:38:05  lisu
- 0.7.6

Revision 1.13  2007-10-18 20:13:40  lisu
- 0.7.5
- more files included to doc

Revision 1.12  2007/10/14 22:06:31  arvenil
- BR: python-setuptools
- clean

Revision 1.11  2007/08/18 15:42:49  lisu
- 0.7
- new License (MIT)

Revision 1.10  2007/08/05 18:47:15  lisu
- 0.6

Revision 1.9  2007/08/04 14:51:31  qboosh
- another way

Revision 1.8  2007/08/04 14:45:02  qboosh
- install binary modules in proper dir
- use optflags
- BR: rpm-pythonprov etc.

Revision 1.7  2007/07/29 16:29:56  lisu
- 0.0.5
- include examples dir to doc

Revision 1.6  2007/07/22 23:38:53  lisu
- 0.0.4
- cosmetics

Revision 1.5  2007/07/17 05:38:40  luzik
- added BR: python-Pyrex

Revision 1.4  2007/07/17 00:32:44  lisu
- proper License is LGPL

Revision 1.3  2007/07/17 00:16:00  lisu
- Group changed to Libraries/Python

Revision 1.2  2007/07/16 22:36:14  lisu
- adapterized

Revision 1.1  2007/07/16 22:33:50  lisu
- initial PLD version
